#!/bin/sh

# Downloads and installs Opera 8.50
# 8.50-0.1 - Raul Suarez (rarsa) - Sept 21, 2005

# this script automatically runs after the dotpup file is unzipped

showError()
{
  xmessage -buttons "OK" -geometry 500x190 -center -title "Opera 8.50 Installer" "Error $@.

Make sure that you are connected to the internet 
and that you have enough space available

`df -h /root /usr /tmp`
"
  exit 1
}

xmessage -buttons "Install Opera:21,Cancel" -geometry 500x190 -center -title "Opera 8.50 Installer" "This will download and install Opera 8.50 directly
from the official Opera download site: www.opera.com

The downloaded installer will be about 4.2 megs

You will need the following free space available
- 4.2 megs for the installer (It can be deleted afterwards)
- 10 megs for the installed application under /usr
- 10 megs for temporary files under /tmp

Connect to the internet before continuing"
  [ $? -eq 21 ] || exit 1

# ==== Download Opera from the official web site.
# Downloads 4.2 M
#xterm -bg lightblue -e wget -c -P /root ftp://ftp.opera.com/pub/opera/linux/850/final/en/i386/shared/opera-8.50-20050916.5-shared-qt.i386-en.tar.gz
#[ $? -eq 0 ] || showError "downloading"

# ==== Unzip the Opera installer to /tmp
# needs 9.5 M
tar -xz -C /tmp -f /root/opera-8.50-20050916.5-shared-qt.i386-en.tar.gz
[ $? -eq 0 ] || showError "extracting to /tmp folder"

# ==== Install the opera16.xpm icon
tar -xzPf opera16-icon.tar.gz

# ==== Copy the modified install.sh. It has been modified to make it 100% silent in puppy.
cp install.sh /tmp/opera-8.50-20050916.5-shared-qt.i386-en

# ==== Install 

cd /tmp/opera-8.50-20050916.5-shared-qt.i386-en/
./install.sh -s
[ $? -eq 0 ] || showError "installing"

# ==== Remove temporary files.
rm -fr /tmp/opera-8.50-20050916.5-shared-qt.i386-en

# ==== Add to menus 

fixmenus /root Opera

# ==== Delete opera installer?

xmessage -buttons "Delete Installer,Don't Delete:21" -geometry 520x190 -center -title "Successfull Opera 8.50 installation" "Opera has been successfully installed.

You can now delete the downloaded installer to free about 4.2 MB.

If you are planning to install Opera to another computer, don't
delete the installer. If you copy the opera installer to the /root 
folder of the other computer and execute the Opera-8.50 dotpup, the download step will be skipped."
[ $? -eq 21 ] || rm -f /root/opera-8.50-20050916.5-shared-qt.i386-en.tar.gz

exit 0
